<div class="container">
    <div class="row margin-bottom-50px">
        <div class="col-3">
            ACCOUNT NAME:
        </div>
        <div class="col-3">
            {{this.account?.name}}
        </div>
        <div class="col-3">
            ACCOUNT BALLANCE:
        </div>
        <div class="col-3">
            {{this.account?.balance}}
        </div>
    </div>
    <div class="row justify-content-center">
        <h2>
            {{!!newEntryForm.controls['id'].value ? 'Edit' : 'Add new'}}
            {{!!newEntryForm.controls['income'].value ? 'income' : 'expenditure'}}
        </h2>
    </div>
    <div class="row">
        <div class="col-12">
            <form (ngSubmit)="submit()" [formGroup]="newEntryForm">
                <div class="form-check">
                    <div class="col-1 offset-5">
                        <div class="btn-group btn-group-toggle" data-toggle="buttons">
                            <label class="btn btn-primary active">
                                <input id="income" name="income" formControlName="income"
                                       [disableControl]="this.requestPending()" type="checkbox"
                                       (change)="this.setFocusOnPriceField()"
                                       autocomplete="off">{{!!newEntryForm.controls['income'].value ? 'Income' : 'Expenditure'}}
                            </label>
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-12">
                        <div class="form-group">
                            <label for="price">Price</label>
                            <input autocomplete="off" class="form-control here" formControlName="price"
                                   id="price" [disableControl]="this.requestPending()"
                                   [class.is-invalid]="newEntryForm.controls['price'].dirty && newEntryForm.controls['price'].invalid"
                                   (change)="this.replaceCommaWithDot()" name="price" type="number">
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-12">
                        <div class="form-group">
                            <label for="name">Expenditure</label>
                            <input autocomplete="off" class="form-control here" formControlName="name" id="name"
                                   name="name" required type="text" [disableControl]="this.requestPending()">
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-12">
                        <div class="form-group">
                            <label for="category">Category</label>
                            <ng-select
                                    [closeOnSelect]="true"
                                    [hideSelected]="true"
                                    [items]="this.allCategories"
                                    [searchable]="false"
                                    bindLabel="name"
                                    bindValue="id"
                                    formControlName="category"
                                    id="category"
                                    name="category"
                                    placeholder="Select"
                                    [disableControl]="this.requestPending()">
                            </ng-select>
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <mat-form-field class="col-12">
                        <input [matDatepicker]="picker" autocomplete="off" formControlName="eventDate" matInput
                               placeholder="Expenditure date" [disableControl]="this.requestPending()">
                        <mat-datepicker-toggle [for]="picker" matSuffix></mat-datepicker-toggle>
                        <mat-datepicker #picker></mat-datepicker>
                    </mat-form-field>
                </div>
                <div class="form-row">
                    <div class="col-12">
                        <div class="form-group">
                            <label for="labels">Labels</label>
                            <ng-select
                                    [items]="this.allLabels"
                                    [addTag]="true"
                                    multiple="true"
                                    bindLabel="name"
                                    bindValue="name"
                                    formControlName="labels"
                                    placeholder="Select or add new label"
                                    [disableControl]="this.requestPending()">
                            </ng-select>
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-12">
                        <div class="form-group">
                            <label for="comment">Comment</label>
                            <input autocomplete="off" class="form-control here" formControlName="comment" id="comment"
                                   name="comment" type="text" [disableControl]="this.requestPending()">
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-4 offset-4">
                        <div class="form-group">
                            <button [disabled]="!newEntryForm.valid || this.requestPending()"
                                    class="btn btn-block btn-success"
                                    type="submit">{{this.getSubmitButtonLabel()}}
                            </button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
